nvme_ctrl_config_match(2)

NAME
nvme_ctrl_config_match - Check if ctrl @c matches config params

SYNOPSIS
bool nvme_ctrl_config_match (struct nvme_ctrl *c , const char *transport , const char *traddr , const char *trsvcid , const char *subsysnqn , const char *host_traddr , const char *host_iface );

ARGUMENTS

c   An existing controller instance

transport
    Transport name

traddr
    Transport address

trsvcid
    Transport service identifier

subsysnqn
    Subsystem NQN

host_traddr
    Host transport address

host_iface
    Host interface name

DESCRIPTION
Check that controller c matches parameters: transport, traddr, trsvcid, subsysnqn, host_traddr, and host_iface. Parameters set to NULL will be ignored.

RETURN
true if there's a match, false otherwise.